Bug 877711 - (qt-overcommit) some Qt applications segfault at start with vm.overcommit_memory=2
some Qt applications segfault at start with vm.overcommit_memory=2
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
: 978982 979099 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-18 03:55 EST by Andrew Travneff
Modified: 2013-10-09 12:36 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-09 12:25:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andrew Travneff 2012-11-18 03:55:28 EST
Disabling memory overcommit prevents some applications to start while there is a lot of free memory (1-2GB). Seen with KDE apps: kwin, plasma-desktop, kate, kopete, rekonq, crash reporter. So KDE desktop is unusable with this setting.
Overcommit values 0 or 1 fix that completely.

It might be divided into two parts:

- don't try to alloc a lot of memory

- don't segfault if memory is really exhausted and throw more proper kind of error

Affected Qt version: qt-4.8.3-7.fc17.x86_64
Works fine (mostly?): qt-4.8.2-7.fc17.x86_64

More info and backtraces:

https://bugzilla.redhat.com/show_bug.cgi?id=853587#c15 (this comment and below)

https://bugs.kde.org/show_bug.cgi?id=309889
Comment 1 Kevin Kofler 2012-11-18 10:40:16 EST
To be honest, I'd be inclined to filing this under "don't do that then".
Comment 2 Andrew Travneff 2012-11-18 11:22:51 EST
Sorry, my English isn't very well :) Do you mean not to play with overcommit setting and leave it as default?
It isn't vital maybe, but relying on overcommit permission isn't a best case anyway, as for me. Especially as for basic and important component like Qt.
Comment 3 Rex Dieter 2013-06-18 14:24:28 EDT
This might be fixed in latest qt/qtwebkit builds.

(If not, we'll likely just have to mark this CANTFIX)
Comment 4 Andrew Travneff 2013-06-19 05:19:10 EDT
(In reply to Rex Dieter from comment #3)
Could you please specify the exact version of this components to test? Are they already present in repo?
I use F19 beta x86_64 for now.
Comment 5 Kevin Kofler 2013-06-30 15:42:28 EDT
*** Bug 979099 has been marked as a duplicate of this bug. ***
Comment 6 Kevin Kofler 2013-07-01 05:53:56 EDT
*** Bug 978982 has been marked as a duplicate of this bug. ***
Comment 7 Fedora End Of Life 2013-07-03 23:55:05 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Lukáš Tinkl 2013-07-04 06:59:00 EDT
Still valid in F19
Comment 9 Rex Dieter 2013-10-09 12:25:22 EDT
marking cantfix, webkit jit (still) really needs this, no way around it afaik.

Note You need to log in before you can comment on or make changes to this bug.